org.mariadb.jdbc.internal.stream

## Class PrepareException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.mariadb.jdbc.internal.util.dao.QueryException
      - - org.mariadb.jdbc.internal.stream.PrepareException

All Implemented Interfaces:
  Serializable

    public class PrepareException
    extends QueryException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PrepareException(String error)`
`PrepareException(String message, int errorCode, String sqlState)` Creates a Prepare exception with a message.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isPrepareError()` Indicate if Exception is due to query not preparable.

### Methods inherited from class org.mariadb.jdbc.internal.util.dao.QueryException

`getErrorCode, getMessage, getNextException, getSqlState, setMessage, setNextException, setSqlState`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrepareException

    public PrepareException(String error)

#### PrepareException

    public PrepareException(String message,
                            int errorCode,
                            String sqlState)

Creates a Prepare exception with a message.

Parameters:
  `message` - the message
  `errorCode` - the error code
  `sqlState` - the sqlstate

### Method Detail

#### isPrepareError

    public boolean isPrepareError()

Indicate if Exception is due to query not preparable.

Overrides:
  `isPrepareError` in class `QueryException`
Returns:
  is excption due because query isn't preparable